Subject: Re: git bug? + question

From: Shawn Pearce <[email-masked]>
Date: Sat, 4 Nov 2006 00:10:08 -0500

Jeff King <[email-masked]> wrote:
> On Fri, Nov 03, 2006 at 03:29:45PM -0500, Shawn Pearce wrote:
> 
> > Nack.  I'd rather see the entries added/removed from .git/config when
> > the branch is created/deleted, just like the ref and the reflog are
> > created/deleted.  It makes behavior more consistent for the user
> > and it is mostly self documenting...
> 
> If we go this route, please consider updating .git/auto-branch-config or
> similar, and adding the functionality to include that file into
> .git/config.
> 
> I think the concept of automagically munging a user-editable config file
> is problematic, especially when users might manage those files with
> version control or other systems.

Most users that I know use repo-config to munge their .git/config
rather than editing it by hand.  Though with more data stored in
it for branches and remotes that is probably going to change.

If we go this route I wonder if want to say create a config file
per branch and then use a wildcard include like Apache's httpd.conf
wildcard include, e.g.:

	.git/config:
		include branch_configs/**/*.config

	.git/branch_configs/refs/heads/master.config:
		[branch "master"]
			...

As then git-branch is only manipulating one file per branch.

--